#include "textos.hpp"
#include "idiomas/en.hpp"
#include "idiomas/es.hpp"
#include "idiomas/gl.hpp"

std::string txt::g_noColor;
std::string txt::g_errorGenerico_1;
std::string txt::g_errorGenerico_2;
std::string txt::g_menuPrincipal;
std::string txt::g_menuPrincipal_1;
std::string txt::g_menuPrincipal_2;
std::string txt::g_menuPrincipal_3;
std::string txt::g_menuConfigurar;
std::string txt::g_menuConfigurar_1;
std::string txt::g_menuConfigurar_2;
std::string txt::g_menuConfigurar_3;
std::string txt::g_menuConfigurar_4;
std::string txt::g_confTodo;
std::string txt::g_confHilos;
std::string txt::g_confTiempo;
std::string txt::g_confHilosInput;
std::string txt::g_confTiempoInput;
std::string txt::g_confHilosError;
std::string txt::g_confTiempoError;
std::string txt::g_confArchText_1;
std::string txt::g_confArchText_2;

void txt::inicializarIdioma(std::string idioma) {
  idioma = idioma.substr(0, idioma.find("_"));
  if (idioma == "gl") {
    using namespace gl;
    txt::g_noColor = noColor;
    txt::g_errorGenerico_1 = errorGenerico_1;
    txt::g_errorGenerico_2 = errorGenerico_2;
    txt::g_menuPrincipal = menuPrincipal;
    txt::g_menuPrincipal_1 = menuPrincipal_1;
    txt::g_menuPrincipal_2 = menuPrincipal_2;
    txt::g_menuPrincipal_3 = menuPrincipal_3;
    txt::g_menuConfigurar = menuConfigurar;
    txt::g_menuConfigurar_1 = menuConfigurar_1;
    txt::g_menuConfigurar_2 = menuConfigurar_2;
    txt::g_menuConfigurar_3 = menuConfigurar_3;
    txt::g_menuConfigurar_4 = menuConfigurar_4;
    txt::g_confTodo = confTodo;
    txt::g_confHilos = confHilos;
    txt::g_confTiempo = confTiempo;
    txt::g_confHilosInput = confHilosInput;
    txt::g_confTiempoInput = confTiempoInput;
    txt::g_confHilosError = confHilosError;
    txt::g_confTiempoError = confTiempoError;
    txt::g_confArchText_1 = confArchText_1;
    txt::g_confArchText_2 = confArchText_2;
  } else if (idioma == "es") {
    using namespace es;
    txt::g_noColor = noColor;
    txt::g_errorGenerico_1 = errorGenerico_1;
    txt::g_errorGenerico_2 = errorGenerico_2;
    txt::g_menuPrincipal = menuPrincipal;
    txt::g_menuPrincipal_1 = menuPrincipal_1;
    txt::g_menuPrincipal_2 = menuPrincipal_2;
    txt::g_menuPrincipal_3 = menuPrincipal_3;
    txt::g_menuConfigurar = menuConfigurar;
    txt::g_menuConfigurar_1 = menuConfigurar_1;
    txt::g_menuConfigurar_2 = menuConfigurar_2;
    txt::g_menuConfigurar_3 = menuConfigurar_3;
    txt::g_menuConfigurar_4 = menuConfigurar_4;
    txt::g_confTodo = confTodo;
    txt::g_confHilos = confHilos;
    txt::g_confTiempo = confTiempo;
    txt::g_confHilosInput = confHilosInput;
    txt::g_confTiempoInput = confTiempoInput;
    txt::g_confHilosError = confHilosError;
    txt::g_confTiempoError = confTiempoError;
    txt::g_confArchText_1 = confArchText_1;
    txt::g_confArchText_2 = confArchText_2;
  } else if (idioma == "en") {
    using namespace en;
    txt::g_noColor = noColor;
    txt::g_errorGenerico_1 = errorGenerico_1;
    txt::g_errorGenerico_2 = errorGenerico_2;
    txt::g_menuPrincipal = menuPrincipal;
    txt::g_menuPrincipal_1 = menuPrincipal_1;
    txt::g_menuPrincipal_2 = menuPrincipal_2;
    txt::g_menuPrincipal_3 = menuPrincipal_3;
    txt::g_menuConfigurar = menuConfigurar;
    txt::g_menuConfigurar_1 = menuConfigurar_1;
    txt::g_menuConfigurar_2 = menuConfigurar_2;
    txt::g_menuConfigurar_3 = menuConfigurar_3;
    txt::g_menuConfigurar_4 = menuConfigurar_4;
    txt::g_confTodo = confTodo;
    txt::g_confHilos = confHilos;
    txt::g_confTiempo = confTiempo;
    txt::g_confHilosInput = confHilosInput;
    txt::g_confTiempoInput = confTiempoInput;
    txt::g_confHilosError = confHilosError;
    txt::g_confTiempoError = confTiempoError;
    txt::g_confArchText_1 = confArchText_1;
    txt::g_confArchText_2 = confArchText_2;
  } else {
    using namespace en;
    txt::g_noColor = noColor;
    txt::g_errorGenerico_1 = errorGenerico_1;
    txt::g_errorGenerico_2 = errorGenerico_2;
    txt::g_menuPrincipal = menuPrincipal;
    txt::g_menuPrincipal_1 = menuPrincipal_1;
    txt::g_menuPrincipal_2 = menuPrincipal_2;
    txt::g_menuPrincipal_3 = menuPrincipal_3;
    txt::g_menuConfigurar = menuConfigurar;
    txt::g_menuConfigurar_1 = menuConfigurar_1;
    txt::g_menuConfigurar_2 = menuConfigurar_2;
    txt::g_menuConfigurar_3 = menuConfigurar_3;
    txt::g_menuConfigurar_4 = menuConfigurar_4;
    txt::g_confTodo = confTodo;
    txt::g_confHilos = confHilos;
    txt::g_confTiempo = confTiempo;
    txt::g_confHilosInput = confHilosInput;
    txt::g_confTiempoInput = confTiempoInput;
    txt::g_confHilosError = confHilosError;
    txt::g_confTiempoError = confTiempoError;
    txt::g_confArchText_1 = confArchText_1;
    txt::g_confArchText_2 = confArchText_2;
  }
}
